Friday, August 29, 2008

GNumed 0.2 --> 0.3 migration

Hi all,

Getting the latest GNUmed ist easy but here are a few issues to consider.

1.) GNUmed 0.3.0 needs a newer GNUmed database version then the 0.2 line (up to
GNUmed v8 is needed for the client and higher but version v9 database is needed for
GNUmed 0.3.0 and higher

If you have a stable and running client connection to version 8 of the database then you need to
update your database with the scripts called and call it like this:

" 8 9"

to go from an existing v8 to v9. This will *not* destroy your old database. You can still connect to v8 with
client but you can connect to v9 with client 0.3.0 and higher.

2.) If you are starting fresh you can simply use


GNUmed 0.3.0 for your Linux

Hi all,

GNUmed 0.3.0 packages for some rpm-based Linux flavors such as openSUSE , Fedora and Mandriva are now available
through the openSUSE build service.

Get the from Take a look at the Wiki
to find out more.

Server packages for version 9 will be announced once they are ready.

Get help by mailing us at if needed.

Tuesday, August 26, 2008

GNUmed Release 0.3.0

Hi all,

I am happy to announce that GNUmed version 0.3.0 has just
been released.

Tarballs are here:

This time we had a fair bit of testing so I expect a slow
stream of bug reports only. Thanks to all who tested and
provided feedback so far !

The major new feature is Test Results Handling.

- configuration and logging has been redone
- documents are much improved
- printing, faxing, mailing
- external permalinks
- change type across all documents
- a lot more backend signals allow for realtime client update
- database downtime can be signalled to clients
- client can check for available upgrades
- progress note display much improved
- unsaved progress notes are warned before changing
patient or closing client
- progress notes support keyword based expansion (macros)

Debian: Note that this is NOT INTENDED FOR LENNY.

In this GNUmed release I have planted two Easter Eggs ...

Happy Hunting ! :-)


Monday, August 18, 2008

GNUmed Windows packages

The latest GNUmed version has been uploaded as Windows packages. Get them

Tuesday, August 12, 2008

Please test GNUmed on Ubuntu Hardy


A bufixed version has been uploaded to Hardy-proposed repository. Please activate it trough synaptic and install the latest version.

Please report success or failure in this bug report or as a comment.